require 'spec_helper'

describe 'Roqua::StatusChecks::CheckDbConnection' do
  it 'returns true when there is a db connection' do
    allow(ActiveRecord::Base).to receive(:establish_connection).and_return(true)
    allow(ActiveRecord::Base).to receive(:connection).and_return(true)
    allow(ActiveRecord::Base).to receive(:connected?).and_return(true)

    expect(Roqua::StatusChecks::CheckDbConnection.connected?).to be_truthy
  end

  it 'returns false when there is no db configured' do
    expect(Roqua::StatusChecks::CheckDbConnection.connected?).to be_falsey
  end
end
